[INCLUDE]
ctPackage_GetRawFileDataContent

[CODE]
Public Function ctPackage_UseRawFileDataContent(ByVal RawDataContent As String, Optional ByRef ReturnSize As Long, Optional ByVal ProgressControl As Long = 0&, Optional ByVal ProgressStart As Long = 0&, Optional ByVal ProgressTotal As Long = 0&, Optional ByVal ProgressQueue As Long = 0&) As String
  If Len(RawDataContent) < 14& then
    ReturnSize = 0
    RawDataContent = ""
    Else
    ReturnSize = Asc(Left(RawDataContent, 1&))
    ctPackage_UseRawFileDataContent = Mid(RawDataContent, 14&)
    If (ReturnSize And 1&) = 1& Then
      ctPackage_UseRawFileDataContent = ctCompressA_Decompress(ctPackage_UseRawFileDataContent, ctPackage_LenCharToLong(RawDataContent, 10&), AddressOf NewDecomProgCallback, ProgressControl, ProgressStart, ProgressTotal, ProgressQueue)  ', ReturnSize)
      End If
    ReturnSize = ctPackage_LenCharToLong(RawDataContent, FileExtOffset)
    End If
  End Function
